Subject: Re: [netmod] draft-ietf-netmod-rfc6087bis as a BCP?

From: Benoit Claise <[email-masked]>
Date: Tue, 17 Oct 2017 10:35:07 +0200

Hi Kent,
>
> Hi Benoit,
>
> BCP seems right, but I wonder if there is some sort of stability 
> metric that applies to BCPs.
>
    The BCP subseries of the RFC series is designed to be a way to
    standardize practices and the results of community deliberations.

https://tools.ietf.org/html/rfc2026#section-5
>
> YANG still seems to be evolving, so I can only imagine yet another 
> update to this document
>
> in the not too distant future.  Does that disqualify it in any way?
>
I don't think so. Implicitly, this says:

    The BCP subseries of the RFC series is designed to be a way to
    standardize practices and the results of community_current _deliberations.

If the YANG use and knowledge spread, this document will evolve in the 
future.

The problem to be solved, which I faced: "RFC6087 is informational (as 
opposed to BCP), so I don't feel like I should follow it"

Regards, Benoit
>
> Kent
>
> On 9/11/17, 10:16 AM, "netmod on behalf of Benoit Claise" 
> <[email-masked] <mailto:[email-masked]> on behalf of 
> [email-masked] <mailto:[email-masked]>> wrote:
>
> Dear all,
>
> I'm wondering if it's not time to classify 
> draft-ietf-netmod-rfc6087bis as a BCP, as opposed to informational
>
> This text would need to change:
>
>         This document is similar to the Structure of Management
>
>         Information
>
>         version 2 (SMIv2) usage guidelines specification [RFC4181] in intent
>
>         and structure.  However, since that document was written a decade
>
>         after SMIv2 modules had been in use, it was published as a 'Best
>
>         Current Practice' (BCP).  This document is not a BCP, but rather an
>
>         informational reference, intended to promote consistency in documents
>
>         containing YANG modules.
>
> Indeed, it seems to me that the consistency in YANG modules is a 
> pretty important topic.
>
> Feedback?
>
> Regards, Benoit
>

---

From: Kent Watsen <[email-masked]>
Date: Tue, 17 Oct 2017 17:45:24 +0000

Hi Benoit, et al.,

As a contributor, I support your proposal to move rfc6087bis to BCP, and I know that Lou does as well (I just asked him).  As co-chair, reading Section 6.1.1 of RFC 2026, I feel that we need to formally run the decision past the WG.  So, without further ado:

This is the start of 1-week poll to gauge WG consensus on the proposal to promote rfc6087bis to BCP.  We'd like to hear "yes/support" or "no/don't support", with an explanation for why.  Please respond by Oct 24.   (better, hit the reply-all button now!)

Thanks,
Kent (and Lou)

On 10/17/17, 4:35 AM, "Benoit Claise" <[email-masked]<mailto:[email-masked]>> wrote:

Hi Kent,
Hi Benoit,

BCP seems right, but I wonder if there is some sort of stability metric that applies to BCPs.

https://tools.ietf.org/html/rfc2026#section-5<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc2026-23section-2D5&d=DwMDaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=dL2SzevPrC4Ak-LYJY77M0cArIHFsM3svOz2X06jytY&s=O_GnXGQDkkAG4hGnmdn6udA0s5orNxjkKYYWDoO-MnM&e=>

YANG still seems to be evolving, so I can only imagine yet another update to this document
in the not too distant future.  Does that disqualify it in any way?
I don't think so. Implicitly, this says:

   standardize practices and the results of community current deliberations.

If the YANG use and knowledge spread, this document will evolve in the future.

The problem to be solved, which I faced: "RFC6087 is informational (as opposed to BCP), so I don't feel like I should follow it"

Regards, Benoit

Kent

On 9/11/17, 10:16 AM, "netmod on behalf of Benoit Claise" <[email-masked]<mailto:[email-masked]> on behalf of [email-masked]<mailto:[email-masked]>> wrote:

Dear all,

I'm wondering if it's not time to classify draft-ietf-netmod-rfc6087bis as a BCP, as opposed to informational

   Information

   containing YANG modules.

Indeed, it seems to me that the consistency in YANG modules is a pretty important topic.

Feedback?

Regards, Benoit

---

From: Alexander Clemm <[email-masked]>
Date: Tue, 17 Oct 2017 17:55:10 +0000

Intuitively, BCP seems the right choice to me.  Also, I think it is fine to issue an RFC now even if it is clear it will need updating later.  IETF really needs to get better at releasing documents faster, it’s not as if there is a shortage of integers and potential churn is at this point less of a concern than timeliness.   So, on those grounds, yes/support.

--- Alex

From: netmod [mailto:[email-masked]] On Behalf Of Kent Watsen
Sent: Tuesday, October 17, 2017 10:45 AM
To: Benoit Claise <[email-masked]>; NETMOD Working Group <[email-masked]>
Subject: Re: [netmod] draft-ietf-netmod-rfc6087bis as a BCP?

Hi Benoit, et al.,

Thanks,
Kent (and Lou)

Hi Kent,
Hi Benoit,

Regards, Benoit

Kent

Dear all,

   Information

   containing YANG modules.

Feedback?

Regards, Benoit

---

From: Andy Bierman <[email-masked]>
Date: Tue, 17 Oct 2017 11:33:24 -0700

Hi,

I support BCP status.
This is consistent with RFC 4181, which RFC 6087 was modeled after.

Andy

On Tue, Oct 17, 2017 at 10:45 AM, Kent Watsen <[email-masked]> wrote:

> Hi Benoit, et al.,
>
>
>
> As a contributor, I support your proposal to move rfc6087bis to BCP, and I
> know that Lou does as well (I just asked him).  As co-chair, reading
> Section 6.1.1 of RFC 2026, I feel that we need to formally run the decision
> past the WG.  So, without further ado:
>
>
>
> This is the start of 1-week poll to gauge WG consensus on the proposal to
> promote rfc6087bis to BCP.  We'd like to hear "yes/support" or "no/don't
> support", with an explanation for why.  Please respond by Oct 24.
>   (better, hit the reply-all button now!)
>
>
>
> Thanks,
>
> Kent (and Lou)
>
>
>
>
>
>
>
>
>
> On 10/17/17, 4:35 AM, "Benoit Claise" <[email-masked]> wrote:
>
>
>
> Hi Kent,
>
> Hi Benoit,
>
>
>
> <https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_rfc2026-23section-2D5&d=DwMDaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=9zkP0xnJUvZGJ9EPoOH7Yhqn2gsBYaGTvjISlaJdcZo&m=dL2SzevPrC4Ak-LYJY77M0cArIHFsM3svOz2X06jytY&s=O_GnXGQDkkAG4hGnmdn6udA0s5orNxjkKYYWDoO-MnM&e=>
>
>    standardize practices and the results of community *current *deliberations.
>
>
> On 9/11/17, 10:16 AM, "netmod on behalf of Benoit Claise" <
> [email-masked] on behalf of [email-masked]> wrote:
>
>
>
> Dear all,
>
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod
>
>